/*
 * Copyright(C) OASIS(R) 2006,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.
 */

/** @file
 * This file contains the SCA ServiceProxy class declaration.
 * @author SCA-C-C++ TC
 * @version 1.1
 * @date 4 March 2010
 */

#ifndef _oasis_sca_ServiceProxy_h_
#define _oasis_sca_ServiceProxy_h_

#include "oasis/sca/RefCountingPointer.h"

namespace oasis {
    namespace sca {

        /**
         * Defines the ServiceProxy interface from which all generated Service Proxies derive.
         */
        class ServiceProxy {
            public:
        	    virtual ~ServiceProxy();
        };

        /**
         * RefCounting Pointer for a ServiceProxy.
         */
         typedef RefCountingPointer<ServiceProxy> ServiceProxyPtr;

    } // namespace sca
} // namespace oasis

#endif /* _oasis_sca_ServiceProxy_h_ */
